$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.14.3-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.14.3-BETA.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '64E4F7538EC255D4C1C860095FD66F2C46DA16D43ABFC865EEBEB61282E0769D'
  checksumType = 'sha256'
  checksum64 = '64E4F7538EC255D4C1C860095FD66F2C46DA16D43ABFC865EEBEB61282E0769D'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.14.3-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
